/*
 * TPM1_Delays.c
 *
 *  Created on: Oct 26, 2023
 *      Author: jm palomino 
 *      
 */

/* Including needed modules to compile this module/procedure */
#include "Cpu.h"
#include "Events.h"
#include "COPFree.h"
#include "PTB.h"
#include "TPM1_Delays.h"
/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

/* User includes (#include below this line is not maintained by Processor Expert) */
void TPM1_Delays_Init(void) {
	
	  TPM1SC_TOIE=0;
	  TPM1SC_CPWMS=0;
	  TPM1SC_CLKSB=0;
	  TPM1SC_CLKSA=1;
	  TPM1SC_PS2=1;
	  TPM1SC_PS1=0;
	  TPM1SC_PS0=0;
	  setReg8(TPM1MODH, 0x00U);
	  setReg8(TPM1MODL, 0x00U); 
}

void TPM1_Delay(unsigned int ts) {
    setReg8(TPM1MODH, 0xFF);
    setReg8(TPM1MODL, 0XFF);
    B:
      if(((TPM1CNTH<<8)+TPM1CNTL)<ts)goto B;
    setReg8(TPM1CNTH, 0x00);
    setReg8(TPM1CNTL, 0x00);
    setReg8(TPM1MODH, 0x00);
    setReg8(TPM1MODL, 0x00);
}
