/* ###################################################################
**     Filename    : main.c
**     Project     : example_4
**     Processor   : MC9S08SE8CWL
**     Version     : Driver 01.12
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2023-10-26, 00:59, # CodeGen: 0
**     Abstract    :
**         Main module.
**         This module contains user's application code.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/
/*!
** @file main.c
** @version 01.12
** @brief
**         Main module.
**         This module contains user's application code.
*/         
/*!
**  @addtogroup main_module main module documentation
**  @{
*/         
/* MODULE main */


/* Including needed modules to compile this module/procedure */
#include "Cpu.h"
#include "Events.h"
#include "COPFree.h"
#include "PTB.h"
/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

/* User includes (#include below this line is not maintained by Processor Expert) */
#include "I2C_Software.h"
#include "I2C_LCD2x16.h"
#include "TPM1_Delays.h"

void main(void)
{
  /* Write your local variable definition here */
	char ch[4], i=0;
	unsigned int cont=0;
  /*** Processor Expert internal initialization. DON'T REMOVE THIS CODE!!! ***/
  PE_low_level_init();
  /*** End of Processor Expert internal initialization.                    ***/

  /* Write your code here */
  COPFree_Init();
  PTB_Init();
  TPM1_Delays_Init();
  PTBD_PTBD5=0;
  PTBD_PTBD4=0;
  I2C_LCD_Init();
  I2C_LCD_Cmd(_LCD_CLEAR);
  I2C_LCD_Cmd(_LCD_CURSOR_OFF);
  I2C_LCD_Out(1,4,"COUNTER");
  /* For example: for(;;) { } */
  for(;;) {
	  for(cont=0; cont<=1000; cont++) {
	      	  ch[0] = cont / 1000;
	      	  ch[1] = (cont / 100)%10;
	      	  ch[2] = (cont / 10)%10;
	      	  ch[3] = cont %10;
	      	  
	  	      for(i=0; i<=3; i++) {
	  	    	I2C_LCD_Chr(2, 6+i, ch[i]+48); 
	  	     } 
	  	    Cpu_Delay100US(10000);// 1 seg aprox. 
	  	}
  }
  /*** Don't write any code pass this line, or it will be deleted during code generation. ***/
  /*** RTOS startup code. Macro PEX_RTOS_START is defined by the RTOS component. DON'T MODIFY THIS CODE!!! ***/
  #ifdef PEX_RTOS_START
    PEX_RTOS_START();                  /* Startup of the selected RTOS. Macro is defined by the RTOS component. */
  #endif
  /*** End of RTOS startup code.  ***/
  /*** Processor Expert end of main routine. DON'T MODIFY THIS CODE!!! ***/
  for(;;){}
  /*** Processor Expert end of main routine. DON'T WRITE CODE BELOW!!! ***/
} /*** End of main routine. DO NOT MODIFY THIS TEXT!!! ***/

/* END main */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
